apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: farmos-sites-pvc
  namespace: farm
spec:
  accessModes: [ReadWriteOnce]
  resources:
    requests:
      storage: 2Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: postgis-data-pvc
  namespace: farm
spec:
  accessModes: [ReadWriteOnce]
  resources:
    requests:
      storage: 5Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: timescaledb-data-pvc
  namespace: farm
spec:
  accessModes: [ReadWriteOnce]
  resources:
    requests:
      storage: 10Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nodered-data-pvc
  namespace: farm
spec:
  accessModes: [ReadWriteOnce]
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: grafana-data-pvc
  namespace: farm
spec:
  accessModes: [ReadWriteOnce]
  resources:
    requests:
      storage: 1Gi
